Up

# NSSpellChecker

### Authors

Gregory John Casamento (`greg_casamento@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

> Class to provide the graphical interface to the spell checking service.

Copyright: (C) 2001, 1996 Free Software Foundation, Inc.

# Software documentation for the NSSpellChecker class

## NSSpellChecker : NSObject

> Declared in:
>   AppKit/NSSpellChecker.h

Availability: OpenStep
Description forthcoming.
Method summary

- +sharedSpellChecker
- +sharedSpellCheckerExists
- +uniqueSpellDocumentTag
- -accessoryView
- -checkSpellingOfString:startingAt:
- -checkSpellingOfString:startingAt:language:wrap:inSpellDocumentWithTag:wordCount:
- -closeSpellDocumentWithTag:
- -countWordsInString:language:
- -guessesForWord:
- -ignoreWord:inSpellDocumentWithTag:
- -ignoredWordsInSpellDocumentWithTag:
- -language
- -setAccessoryView:
- -setIgnoredWords:inSpellDocumentWithTag:
- -setLanguage:
- -setWordFieldStringValue:
- -spellingPanel
- -updateSpellingPanelWithMisspelledWord:

### sharedSpellChecker

+ (NSSpellChecker*) sharedSpellChecker;
Availability: OpenStep
Description forthcoming.

### sharedSpellCheckerExists

+ (BOOL) sharedSpellCheckerExists;
Availability: OpenStep
Description forthcoming.

### uniqueSpellDocumentTag

+ (int) uniqueSpellDocumentTag;
Availability: OpenStep
Description forthcoming.

### accessoryView

- (NSView*) accessoryView;
Availability: OpenStep
Description forthcoming.

### checkSpellingOfString: startingAt:

- (NSRange) checkSpellingOfString: (NSString*)stringToCheck startingAt: (int)startingOffset;
Availability: OpenStep
Description forthcoming.

### checkSpellingOfString: startingAt: language: wrap: inSpellDocumentWithTag: wordCount:

- (NSRange) checkSpellingOfString: (NSString*)stringToCheck startingAt: (int)startingOffset language: (NSString*)language wrap: (BOOL)wrapFlag inSpellDocumentWithTag: (int)tag wordCount: (int*)wordCount;
Availability: OpenStep
Description forthcoming.

### closeSpellDocumentWithTag:

- (void) closeSpellDocumentWithTag: (int)tag;
Availability: OpenStep
Description forthcoming.

### countWordsInString: language:

- (int) countWordsInString: (NSString*)aString language: (NSString*)language;
Availability: OpenStep
Description forthcoming.

### guessesForWord:

- (NSArray*) guessesForWord: (NSString*)word;
Availability: OpenStep
Description forthcoming.

### ignoreWord: inSpellDocumentWithTag:

- (void) ignoreWord: (NSString*)wordToIgnore inSpellDocumentWithTag: (int)tag;
Availability: OpenStep
Description forthcoming.

### ignoredWordsInSpellDocumentWithTag:

- (NSArray*) ignoredWordsInSpellDocumentWithTag: (int)tag;
Availability: OpenStep
Description forthcoming.

### language

- (NSString*) language;
Availability: OpenStep
Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setIgnoredWords: inSpellDocumentWithTag:

- (void) setIgnoredWords: (NSArray*)someWords inSpellDocumentWithTag: (int)tag;
Availability: OpenStep
Description forthcoming.

### setLanguage:

- (BOOL) setLanguage: (NSString*)aLanguage;
Availability: OpenStep
Description forthcoming.

### setWordFieldStringValue:

- (void) setWordFieldStringValue: (NSString*)aString;
Availability: OpenStep
Description forthcoming.

### spellingPanel

- (NSPanel*) spellingPanel;
Availability: OpenStep
Description forthcoming.

### updateSpellingPanelWithMisspelledWord:

- (void) updateSpellingPanelWithMisspelledWord: (NSString*)word;
Availability: OpenStep
Description forthcoming.

Up